cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"stateCode": "AL",
"carrierName": "<string>",
"ein": "<string>",
"companyCode": "<string>",
"lineOfAuthorityName": "<string>",
"lineOfAuthorityCode": "<string>",
"status": "active",
"npn": "<string>",
"agentId": "<string>",
"terminationReason": "<string>",
"statusChangeDate": "2023-11-07T05:31:56Z",
"renewalDate": "2023-11-07T05:31:56Z",
"appointerStateCoId": "<string>",
"countyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Appointments
Get Agent Appointments
Retrieve appointment records for a specific agent
GET
/
v2
/
upstream
/
agents
/
{agentId}
/
appointments
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/agents/{agentId}/appointments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"niprDataSubscriptionId": "<string>",
"stateCode": "AL",
"carrierName": "<string>",
"ein": "<string>",
"companyCode": "<string>",
"lineOfAuthorityName": "<string>",
"lineOfAuthorityCode": "<string>",
"status": "active",
"npn": "<string>",
"agentId": "<string>",
"terminationReason": "<string>",
"statusChangeDate": "2023-11-07T05:31:56Z",
"renewalDate": "2023-11-07T05:31:56Z",
"appointerStateCoId": "<string>",
"countyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns all appointment records your organization holds for a specific agent. You can filter by state code and appointment status.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agent ID
Example:
"507f1f77bcf86cd799439011"
Query Parameters
State code (two-letter abbreviation)
Example:
"FL"
Filter for the appointment status
Example:
"appointed"
Was this page helpful?